/*
 * @Author: your name
 * @Date: 2021-04-14 14:12:19
 * @LastEditTime: 2021-07-01 01:11:46
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \evm-store\frontend\src\utils\wsNotify.js
 */
import Vue from "vue";

export const wsNotify = new WebSocket(
  `ws://${window.location.hostname}:5001/ws/v1/notify`
);

window.wsNotify = wsNotify;

wsNotify.eventBus = new Vue();

wsNotify.onopen = function (event) {
  console.log("websocket is conneted!", event);
  wsNotify.eventBus.$emit("open", event);
};

wsNotify.onmessage = function (event) {
  var message = JSON.parse(event.data);
  wsNotify.eventBus.$emit("message", message);
};

wsNotify.onerror = function (error) {
  console.log(error);
  wsNotify.eventBus.$emit("error", error);
};

wsNotify.onclose = function (event) {
  console.log("websocket is colosed!", event);
  wsNotify.eventBus.$emit("close", event);
};
